commit:     5ba73b953fd3c7d2dcc9546c9c58fcbf54fd78f0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 02:29:31 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 02:29:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ba73b95

xfce-extra/xfce4-calculator-plugin: Bump to 0.7.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-calculator-plugin/Manifest        |  1 +
 .../xfce4-calculator-plugin-0.7.2.ebuild           | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/xfce-extra/xfce4-calculator-plugin/Manifest 
b/xfce-extra/xfce4-calculator-plugin/Manifest
index b8b9666165d7..0287a41ddfa0 100644
--- a/xfce-extra/xfce4-calculator-plugin/Manifest
+++ b/xfce-extra/xfce4-calculator-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-calculator-plugin-0.7.1.tar.bz2 402401 BLAKE2B 
feadd3401f5e7b3bd1bc9277e04d63329fa0d35583c6af959fa350c6622012b4089fd1143dd8f7e987cde8a6b313fba75cfba751e2afb6bcba43d9787d17784b
 SHA512 
05544e5f0e293fe44ae35b3e11a2e6fac8df13743649d0702c01c6a4b2df0557f8f9712acef6bd51aaa65f5542234a6a649017bf2fe2a6d2860ae2e534e7cff2
+DIST xfce4-calculator-plugin-0.7.2.tar.bz2 422611 BLAKE2B 
72bc2e8414b4f638299d42d8e3cd808949c966e40e96823ef5d47ba66e915429a66c7ab45acdda1a930383bc7cae63c2323e05ee8f9a5748c7f0e6d8f58b63e0
 SHA512 
98fa51ff0afbb09e3066f629113f6a584c5afd9228c87ee67afd7a56b065060ece16ee646ec6a2c685907a0d9733cba19cbf25bc034e009a013af2122155cc2c

diff --git 
a/xfce-extra/xfce4-calculator-plugin/xfce4-calculator-plugin-0.7.2.ebuild 
b/xfce-extra/xfce4-calculator-plugin/xfce4-calculator-plugin-0.7.2.ebuild
new file mode 100644
index 000000000000..14de8bbbdf6a
--- /dev/null
+++ b/xfce-extra/xfce4-calculator-plugin/xfce4-calculator-plugin-0.7.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A calculator plugin for the Xfce4 panel"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+HOMEPAGE="
+       https://docs.xfce.org/panel-plugins/xfce4-calculator-plugin/start
+       https://gitlab.xfce.org/panel-plugins/xfce4-calculator-plugin/
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.50.0
+       x11-libs/libX11
+       >=x11-libs/gtk+-3.22.0:3
+       >=xfce-base/libxfce4ui-4.12.0:=
+       >=xfce-base/libxfce4util-4.12.0:=
+       >=xfce-base/xfce4-panel-4.12.0:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to